# useTypewriterEffect

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Controls whether the text of [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) should be gradually revealed over time.

```csharp
public bool useTypewriterEffect = false;
```

## Remarks

If this value is `true`, the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) object's `TMPro.TMP_Text.maxVisibleCharacters` property will animate from 0 to the length of the text, at a rate of [typewriterEffectSpeed](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.typewritereffectspeed.md) letters per second when the line appears. [onCharacterTyped](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncharactertyped.md) is called for every new character that is revealed.

If this value is `false`, the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) will all be revealed at the same time.

{% hint style="info" %}
If [useFadeEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usefadeeffect.md) is `true`, the typewriter effect will run after the fade-in is complete.
{% endhint %}

## See Also

* [LineView.lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md): The `TMPro.TextMeshProUGUI` object that displays the text of dialogue lines.
* [LineView.onCharacterTyped](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncharactertyped.md): A Unity Event that is called each time a character is revealed during a typewriter effect.
* [LineView.typewriterEffectSpeed](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.typewritereffectspeed.md): The number of characters per second that should appear during a typewriter effect.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
